Download an email attachment
curl --request GET \
--url https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId} \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}")
.header("x-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-token"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"Inboxes
Download an email attachment
Streams one attachment’s bytes through Aptly from the mail provider, with
Content-Disposition: attachment and the attachment’s file name.
Content-Type is the attachment’s contentType from the message endpoint
(falling back to the provider’s, then application/octet-stream).
attachmentId is an attachments[].id from the message endpoint. A Range
request header is forwarded, so large files can be fetched in parts (206).
GET
/
api
/
inboxes
/
{channelId}
/
threads
/
{threadId}
/
messages
/
{messageId}
/
attachments
/
{attachmentId}
Download an email attachment
curl --request GET \
--url https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId} \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}")
.header("x-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.getaptly.com/api/inboxes/{channelId}/threads/{threadId}/messages/{messageId}/attachments/{attachmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-token"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"Authorizations
ApiKeyHeaderDelegateTokenPartnerBearer
Headers
Optional byte range, e.g. bytes=0-1048575.
Path Parameters
External channel meta ID (meta.id) of the inbox.
Response
The attachment bytes.
The response is of type file.